com.amazonaws.services.elastictranscoder.model

## Class UpdatePipelineStatusRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.elastictranscoder.model.UpdatePipelineStatusRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdatePipelineStatusRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The `UpdatePipelineStatusRequest` structure.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdatePipelineStatusRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdatePipelineStatusRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getId()` The identifier of the pipeline to update.
`String` `getStatus()` The desired status of the pipeline:
`int` `hashCode()`
`void` `setId(String id)` The identifier of the pipeline to update.
`void` `setStatus(String status)` The desired status of the pipeline:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdatePipelineStatusRequest` `withId(String id)` The identifier of the pipeline to update.
`UpdatePipelineStatusRequest` `withStatus(String status)` The desired status of the pipeline:

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdatePipelineStatusRequest

    public UpdatePipelineStatusRequest()

### Method Detail

#### setId

    public void setId(String id)

The identifier of the pipeline to update.

Parameters:
  `id` - The identifier of the pipeline to update.

#### getId

    public String getId()

The identifier of the pipeline to update.

Returns:
  The identifier of the pipeline to update.

#### withId

    public UpdatePipelineStatusRequest withId(String id)

The identifier of the pipeline to update.

Parameters:
  `id` - The identifier of the pipeline to update.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The desired status of the pipeline:

- `Active`: The pipeline is processing jobs.

- `Paused`: The pipeline is not currently processing jobs.

Parameters:
  `status` - The desired status of the pipeline:

  - `Active`: The pipeline is processing jobs.

  - `Paused`: The pipeline is not currently processing jobs.

#### getStatus

    public String getStatus()

The desired status of the pipeline:

- `Active`: The pipeline is processing jobs.

- `Paused`: The pipeline is not currently processing jobs.

Returns:
  The desired status of the pipeline:

  - `Active`: The pipeline is processing jobs.

  - `Paused`: The pipeline is not currently processing jobs.

#### withStatus

    public UpdatePipelineStatusRequest withStatus(String status)

The desired status of the pipeline:

- `Active`: The pipeline is processing jobs.

- `Paused`: The pipeline is not currently processing jobs.

Parameters:
  `status` - The desired status of the pipeline:

  - `Active`: The pipeline is processing jobs.

  - `Paused`: The pipeline is not currently processing jobs.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdatePipelineStatusRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`